/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: EasyBeansMDBContext.java 1970 2007-10-16 11:49:25Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.container.mdb;

import javax.ejb.MessageDrivenContext;

import org.ow2.easybeans.api.bean.EasyBeansMDB;
import org.ow2.easybeans.api.container.EZBMDBContext;
import org.ow2.easybeans.container.EasyBeansEJBContext;

/**
 * Defines the MDB Context used by MDB beans.
 * @author Florent Benoit
 */
public class EasyBeansMDBContext extends EasyBeansEJBContext<EasyBeansMDB> implements
        EZBMDBContext, MessageDrivenContext {

    /**
     * Reference to the bean.
     */
    private EasyBeansMDB bean = null;

    /**
     * Gets the bean of this context.
     * @return bean used by this context.
     */
    @Override
    public EasyBeansMDB getBean() {
        return this.bean;
    }

    /**
     * Build a new Session context.
     * @param bean the bean on which we are linked.
     */
    public EasyBeansMDBContext(final EasyBeansMDB bean) {
        super(bean.getEasyBeansFactory());
        this.bean = bean;
    }

}
