/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: EnvEntry.java 1970 2007-10-16 11:49:25Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.deployment.xml.struct.common;

/**
 * This class defines the implementation of the &lt;env-entry&gt; element.
 * @author Florent Benoit
 */
public class EnvEntry {

    /**
     * Name of this element.
     */
    public static final String NAME = "env-entry";

    /**
     * Description of the &lt;env-entry&gt; element.
     */
    private String description = null;

    /**
     * Name of the &lt;env-entry&gt; element.
     */
    private String envEntryName = null;

    /**
     * Value of the &lt;env-entry&gt; element.
     */
    private String envEntryValue = null;

    /**
     * Type of the &lt;env-entry&gt; element.
     */
    private String envEntryType = null;

    /**
     * Sets the description.
     * @param description the description to use
     */
    public void setDescription(final String description) {
        this.description = description;
    }

    /**
     * Sets the name.
     * @param envEntryName the name to use
     */
    public void setEnvEntryName(final String envEntryName) {
        this.envEntryName = envEntryName;
    }

    /**
     * Sets the value.
     * @param envEntryValue the value to use
     */
    public void setEnvEntryValue(final String envEntryValue) {
        this.envEntryValue = envEntryValue;
    }

    /**
     * Sets the type.
     * @param envEntryType the type to use
     */
    public void setEnvEntryType(final String envEntryType) {
        this.envEntryType = envEntryType;
    }

    /**
     * @return the description of the &lt;env-entry&gt; element.
     */
    public String getDescription() {
        return description;
    }

    /**
     * @return the name of the &lt;env-entry&gt; element.
     */
    public String getEnvEntryName() {
        return envEntryName;
    }

    /**
     * @return the value of the &lt;env-entry&gt; element.
     */
    public String getEnvEntryValue() {
        return envEntryValue;
    }

    /**
     * @return the type of the &lt;env-entry&gt; element.
     */
    public String getEnvEntryType() {
        return envEntryType;
    }
}
